config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/profile.d/go.csh.new
config etc/profile.d/go.sh.new
( cd usr/bin ; rm -rf gofmt )
( cd usr/bin ; ln -sf /usr/lib/go/bin/gofmt gofmt )
( cd usr/bin ; rm -rf go )
( cd usr/bin ; ln -sf /usr/lib/go/bin/go go )
( cd usr/bin ; rm -rf 8a )
( cd usr/bin ; ln -sf /usr/lib/go/pkg/tool/linux_386/8a 8a )
( cd usr/bin ; rm -rf 8g )
( cd usr/bin ; ln -sf /usr/lib/go/pkg/tool/linux_386/8g 8g )
( cd usr/bin ; rm -rf 8l )
( cd usr/bin ; ln -sf /usr/lib/go/pkg/tool/linux_386/8l 8l )
( cd usr/bin ; rm -rf 8c )
( cd usr/bin ; ln -sf /usr/lib/go/pkg/tool/linux_386/8c 8c )
( cd usr/bin ; rm -rf godoc )
( cd usr/bin ; ln -sf /usr/lib/go/bin/godoc godoc )
( cd usr/bin ; rm -rf cgo )
( cd usr/bin ; ln -sf /usr/lib/go/pkg/tool/linux_386/cgo cgo )
